#button-7 {
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.button {
    display: inline-flex;
    border: 1px solid var(--color-subtitle);
    text-transform: capitalize;
    font-size: 16px;
    letter-spacing: 1.5px;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    padding: 10px 50px;
    box-shadow: 2px 3px #636161b3;
}
.button a{
    text-decoration: none;
    color: var(--color-subtitle);
    font-weight: 600;
}
#button-7:hover #dub-arrow {
    left: 0;
}
#dub-arrow {
    width: 100%;
    height: 100%;
    background: var(--color-secondary-btn);
    left: -221px;
    position: absolute;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .35s ease-Out;
    bottom: 0;
}